

#version 3.7;

#declare View_POV_Include_Stack = true;

global_settings {
		ambient_light rgb <0.35, 0.65, 0.35>
		assumed_gamma 1.0
		max_trace_level 4
		}

/* system includes */
#include  "colors.inc"
#include  "textures.inc"

#declare NormClock = clock / 720; 
#debug concat("\n   Normalized clock = ", str(NormClock, 6, 3), "\n\n")

#declare R_bulle = 0.36;
#include "WS/slices.inc"

// ----------------------------------

#declare Slicer = object
{
#local EPS = 0.90;
box { <-100, -EPS, -100>, <100, EPS, 100> }
translate y * (NormClock * 12)
}

#declare SliceIn = object
{
intersection {
	object { OBJ_vertices }
	object { Slicer }
	}
pigment { color Red }
}
#declare SliceOut = object
{
difference {
	object { OBJ_vertices }
	object { Slicer }
	}
pigment { color Green }
}

object { SliceIn  }
object { SliceOut }

// ----------------------------------


light_source { < 245,  645,  342> color White   }
light_source { <-245,  645, -342> color White   }

#declare CamX =    295;
#declare CamY =    115.00 + (9.50*NormClock);
#declare CamZ =    1.12 - (2.22*NormClock);

#declare LatX =  (MinX + MaxX) / 2;
#declare LatY =  (MinY + MaxY) / 2;
#declare LatZ =  (MinZ + MaxZ) / 2;

camera  {
        location        <CamX, CamY, CamZ>
        look_at         <LatX, LatY, LatZ>
        right           x*image_width/image_height
        angle           60
        }

